package org.minager.core.constant;

public enum ResultCode {
	SUCCESS(0),
	FAILED(1),
	STATE_UNCHANGED(2),
	ILLEGAL_ARGUMENT(3);
	
	private int val;
	
	private ResultCode(final int pVal) {
		val = pVal;
	}
	
	public int val() {
		return val;
	}
}
